org.osgi.framework

## Interface BundleReference

All Known Subinterfaces:
  BundleContext, BundleRevision, BundleRevisions, BundleStartLevel, BundleWiring, FrameworkStartLevel, FrameworkWiring, ServiceReference<S>

All Known Implementing Classes:
  BundleRevisionImpl, BundleWiringImpl, BundleWiringImpl.BundleClassLoader, Felix

    @ProviderType
    public interface BundleReference

A reference to a Bundle.

Since:
  1.5
Author:
  $Id: ad4e0b99177540205a1a8f37f9075989434cc59f $

### Method Summary

All Methods Instance Methods Abstract Methods
`Bundle` `getBundle()` Returns the `Bundle` object associated with this `BundleReference`.

### Method Detail

#### getBundle

    Bundle getBundle()

Returns the `Bundle` object associated with this `BundleReference`.

Returns:
  The `Bundle` object associated with this `BundleReference`.